Package org.flowable.dmn.api

# Interface DmnManagementService

public interface DmnManagementService
Service for admin and maintenance operations on the dmn engine. These operations will typically not be used in a workflow driven application, but are used in for example the operational console.

Author:
  Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeTenantIdBuilder`
  `createChangeTenantIdBuilder(String fromTenantId, String toTenantId)`
  Create a `ChangeTenantIdBuilder` that can be used to change the tenant id of the Historic Decision instances.
  `TablePageQuery`
  `createTablePageQuery()`
  Creates a `TablePageQuery` that can be used to fetch `TablePage` containing specific sections of table row data.
  `LockManager`
  `getLockManager(String lockName)`
  Acquire a lock manager for the requested lock.
  `Map<String,Long>`
  `getTableCount()`
  Get the mapping containing {table name, row count} entries of the database schema.
  `TableMetaData`
  `getTableMetaData(String tableName)`
  Gets the metadata (column names, column types, etc.) of a certain table.
  `String`
  `getTableName(Class<?> idmEntityClass)`
  Gets the table name (including any configured prefix) for an entity.

- ## Method Details

  - ### getTableCount

    Map<String,Long> getTableCount()
    Get the mapping containing {table name, row count} entries of the database schema.

  - ### getTableName

    String getTableName(Class<?> idmEntityClass)
    Gets the table name (including any configured prefix) for an entity.

  - ### getTableMetaData

    TableMetaData getTableMetaData(String tableName)
    Gets the metadata (column names, column types, etc.) of a certain table. Returns null when no table exists with the given name.

  - ### createTablePageQuery

    TablePageQuery createTablePageQuery()
    Creates a `TablePageQuery` that can be used to fetch `TablePage` containing specific sections of table row data.

  - ### createChangeTenantIdBuilder

    ChangeTenantIdBuilder createChangeTenantIdBuilder(String fromTenantId, String toTenantId)
    Create a `ChangeTenantIdBuilder` that can be used to change the tenant id of the Historic Decision instances.

    You must provide the source tenant id and the destination tenant id.

  - ### getLockManager

    LockManager getLockManager(String lockName)
    Acquire a lock manager for the requested lock. This is a stateless call, this means that every time a lock manager is requested a new one would be created. Make sure that you release the lock once you are done.
    Parameters:
      `lockName` - the name of the lock that is being requested
    Returns:
      the lock manager for the given lock